Java plugin

Here you find information about which client version of Java that should be used. This should under normal cirumstances not be changed, it is used for solving problems with several simultaneous client versions. Contact Senselogic before changing this setting!

The client Java version only matters in the editing mode and not for the visitors of the web site. This version of Java is not related to the version used by the SiteVision server.

Screenshot of the tab Java plugin

Classid

Classid contains information about which Java version should be used on the basis of the versions already installed on the computer. Normally you would like to use the latest installed, hence you specify:

8AD9C840-044E-11D1-B3E9-00805F499D93

Instead of using a specific version e.g. 1.6.0_24

CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA

Note that this implies that even if a new Java version is installed on the computer the explicitly specified version will be used.

Starting with java 1.5.0_7 there is also the possibility to specify a family of Java releases. In order to use the latest installed Java 1.5 version:

CAFEEFAC-0016-0000-FFFF-ABCDEFFEDCBA

This only functions with Java 1.5.0_7 or a later version installed on the computer.

Codebase

Codebase is used for specifying from where new Java versions should be fetched. Hereexternal link, opens in new window is a list of the available downloading sites from Sun. In the codebase you can also specify the oldest possible version to use.

Example

Use the latest installed version of Java (recommended). The oldest possible version to use is 1.6.0_24. If there is an older version than 1.6.0_24 the user receives a question if he/she would like to download and install 1.6.0_24.

8AD9C840-044E-11D1-B3E9-00805F499D93

http://java.sun.com/update/1.6.0/jinstall-6u24-windows-i586.cab#Version=1,6,0,24

Use a specific version 1.6.0_24. If this version is not installed the user will receive a question if he/she would like to download and install the version.

CAFEEFAC-0016-0000-0024-ABCDEFFEDCBA

http://java.sun.com/update/1.6.0/jinstall-6u24-windows-i586.cab#Version=1,6,0,24

Use the latest version in the Java 1.6 family. The oldest possible version to use is 1.6.0_24. If there is an older version than 1.6.0_24 the user receives a question if he/she would like to download and install 1.6.0_24. If there a later versions of java 1.5 available the user will receive a question if he/she would like to download and install the version.

CAFEEFAC-0016-0000-FFFF-ABCDEFFEDCBA

http://java.sun.com/update/1.6.0/jinstall-6u34-windows-i586.cab#Version=1,6,0,24

The codebase-lines are for readability purposes in the examples divided on two lines. It should be typed on the same line.

More information

On Sun´s web site you find more information about classid and codebase for applets.

http://docs.oracle.com/javase/6/docs/technotes/guides/plugin/developer_guide/using_tags.html
http://java.sun.com/javase/6/webnotes/family-clsid.htmlexternal link, opens in new window

Denna sida publicerades: 2015-11-23

Skriv ut PDF-avsnitt

Hjälpte informationen på den här sidan dig?

Missa inga nya rön, tips och tricks! Prenumerera på insite!

Find us!

SiteVision AB (Headquarter)
Vasagatan 10
702 10 Orebro
Sweden

Info: +46 19-17 30 30
Support: +46 19-17 30 39

Latest Tweets